%define gamelibdir	%{_libdir}/games/%{name}
Name:		warsow
Summary:	A fast-paced first-person-shooter game
Version:	1.51
Release:	%mkrel 3
License:	GPLv2
Group:		Games/Shooter
URL:		http://www.warsow.net/
Source0:	http://www.warsow.net:1337/~warsow/%{version}/warsow_%{version}_sdk.tar.gz
Source1:	%{name}.desktop
Source2:	%{name}.png
BuildRequires:	SDL-devel 
BuildRequires:	openal-devel 
BuildRequires:	curl-devel 
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libxinerama-devel
BuildRequires:	openssl-devel
BuildRequires:	x11-server-devel
BuildRequires:	libvorbis-devel
BuildRequires:	libxrandr-devel
BuildRequires:	libtheora-devel
BuildRequires:	freetype2-devel
BuildRequires:	imagemagick
BuildRequires:	libxi-devel
Requires:	%{name}-data

%description
Warsow is a free standalone first person shooter game based on the Qfusion 3D
engine (a modification of the Quake 2 GPL engine), and aimed on the competitive
scene, or the e-sports community.

The base gameplay is focused around the art of movement; speed and tricks play
a big part in the gameplay. Besides this, mapcontrol, aim, teamplay and
fragging skills play their role too.

Another twist in gameplay is the weapon system. Warsow has two firing
modes for each weapon; by picking up a weapon, you will be equipped with the
standard (weak) ammo for the weapon, but when you pick up an ammo pack, you
will equip your weapon with special (strong) ammo. Weapons may have different
damage or slightly different behaviour depending on which ammo you use.

To keep the focus on competitive gaming, visibility is important in Warsow.
Cell-shaded, cartoon-like styles on the maps, textures, and models combine for
good visibility, suitable for competitive gameplay.

%files
%doc docs/*
%{_bindir}/%{name}
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_datadir}/applications/*.desktop
%{gamelibdir}/basewsw 
%{gamelibdir}/libs/

#----------------------------------------------------------------

%package server
Group:		Games/Shooter
Summary:	Dedicated server for Warsow
Requires:	%{name}-data

%description server
Warsow is a free and open source cross-platform 
third-person action game using a modified version of the ioquake3 engine.

This package contains the dedicated server for Warsow.

%files server
%{_bindir}/%{name}-server
%{_bindir}/%{name}-tv-server

#----------------------------------------------------------------

%prep
%setup -q -c -n %{name}_%{version}_sdk

sed -i -e "/fs_basepath =/ s:\.:%{gamelibdir}:" source/source/qcommon/files.c

%build
pushd source
pushd source
make \
	BUILD_CLIENT=YES \
	BUILD_SERVER=YES \
	BUILD_TV_SERVER=YES \
	BUILD_IRC=YES \
	BUILD_SND_OPENAL=YES \
	BUILD_SND_QF=YES \
	DEBUG_BUILD=NO 
popd
popd

%install
pushd source/source/release
mkdir -p %{buildroot}/%{_datadir}/applications
mkdir -p %{buildroot}%{_iconsdir}/hicolor/{32x32,64x64,128x128,256x256}/apps
mkdir -p %{buildroot}/%{_bindir}
mkdir -p %{buildroot}/%{gamelibdir}/basewsw
mkdir -p %{buildroot}/%{gamelibdir}/libs

install -m 0644 %{SOURCE2} %{buildroot}%{_iconsdir}/hicolor/256x256/apps/%{name}.png
convert -scale 128x128 %{SOURCE2}  %{buildroot}%{_iconsdir}/hicolor/128x128/apps/%{name}.png
convert -scale 64x64 %{SOURCE2} %{buildroot}%{_iconsdir}/hicolor/64x64/apps/%{name}.png
convert -scale 32x32 %{SOURCE2} %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png

install -m 755 warsow.* %{buildroot}/%{_bindir}/%{name}
install -m 755 wsw_server.* %{buildroot}/%{_bindir}/%{name}-server
install -m 755 wswtv_server.* %{buildroot}/%{_bindir}/%{name}-tv-server

cp %SOURCE1 "%{buildroot}%{_datadir}/applications/"

install -m 755 libs/*.so %{buildroot}/%{gamelibdir}/libs/
popd


%changelog
* Wed Oct 15 2014 umeabot <umeabot> 1.51-3.mga5
+ Revision: 743159
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.51-2.mga5.nonfree
+ Revision: 690270
- Mageia 5 Mass Rebuild

* Mon Aug 04 2014 juancho <juancho> 1.51-1.mga5.nonfree
+ Revision: 659519
- Updated to version 1.51.

* Thu Oct 31 2013 tmb <tmb> 1.03-3.mga4.nonfree
+ Revision: 548530
- Mageia 4 rebuild

* Wed Jun 05 2013 fwang <fwang> 1.03-2.mga4.nonfree
+ Revision: 437447
- fix requires

* Wed Jun 05 2013 fwang <fwang> 1.03-1.mga4.nonfree
+ Revision: 437426
- new version 1.03

* Mon Jan 14 2013 umeabot <umeabot> 1.02-7.mga3.nonfree
+ Revision: 385602
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 malo <malo> 1.02-6.mga3.nonfree
+ Revision: 343866
- updated RPM group and fixed summary

* Sat Jan 05 2013 juancho <juancho> 1.02-5.mga3.nonfree
+ Revision: 338835
- Move symlink creation of the data package contents to the warsow-data package.

* Thu Jan 03 2013 juancho <juancho> 1.02-4.mga3.nonfree
+ Revision: 337974
+ rebuild (emptylog)

* Wed Jan 02 2013 juancho <juancho> 1.02-3.mga3.nonfree
+ Revision: 337564
- Fixed bug #8103: Couldn't find textures.

* Mon Oct 22 2012 dams <dams> 1.02-2.mga3.nonfree
+ Revision: 309283
- update/fix %%group as requested by malo on -dev@

* Mon Oct 22 2012 dams <dams> 1.02-1.mga3.nonfree
+ Revision: 309247
- new version 1.02

* Wed Aug 01 2012 dams <dams> 1.0-1.mga3.nonfree
+ Revision: 277268
- update BuildRequires
- update icon game for better rendering with GNOME3
- new version 1.0
- clean specfile

* Sun Feb 26 2012 fwang <fwang> 0.62-2.mga2.nonfree
+ Revision: 215133
- drop versioned req on data package

* Wed Feb 15 2012 juancho <juancho> 0.62-1.mga2.nonfree
+ Revision: 209200
- Uploaded 0.62 sources
- Updated to 0.62

* Wed Feb 08 2012 juancho <juancho> 0.61-1.mga2.nonfree
+ Revision: 206516
- Changed %%make macro for make command to see if it build doesn't fail in BS
- imported package warsow


* Fri Sep 23 2011 Alexander Barakin <abarakin@mandriva.org> 0.61-1mdv2012.0
+ Revision: 701056
- fix buildreq
- add libvorbis-devel buildreq
- add xinerama-dev package
- imported package warsow

